kimono
@kimono
Web developer

Как побороть ошибку при установке модуля Let`s Encrypt в ISPManager?

Дано:
  • сервер на Ubuntu 14.04 Trusty
  • панель ISPmanager Lite 5.197.0
Задача:
  • установить модуль Lets`s Encrypt
Как делаю:
  • перехожу в Интеграция -> Модули и нажимаю на кнопку Установить напротив Lets`s Encrypt
Как проходит процесс:
  • выходит всплывающее окошко с надписью "Устанавливаю модуль и перезапускаю панель"
  • через несколько секунд закрывается и ничего не происходит, модуль не устанавливается
Также обнаруженны ошибки в файле /usr/local/mgr5/var/pkg.log:
...
Err http://download.ispsystem.com 5.200-trusty/main amd64 Packages
  404  Not Found [IP: 185.146.158.10 80]
Err http://download.ispsystem.com 5.200-trusty/main i386 Packages
  404  Not Found [IP: 185.146.158.10 80]
...
W: Failed to fetch http://download.ispsystem.com/repo/ubuntu/dists/5.200-trusty/main/binary-amd64/Packages  404  Not Found [IP: 185.146.158.10 80]
W: Failed to fetch http://download.ispsystem.com/repo/ubuntu/dists/5.200-trusty/main/binary-i386/Packages  404  Not Found [IP: 185.146.158.10 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.

*** Wed May 29 19:17:13 +06 2019
*** installing ispmanager-plugin-letsencrypt
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package ispmanager-plugin-letsencrypt


Вывод:
  • установщик не может найти пакет ispmanager-plugin-letsencrypt, в том числе, возможно, из-за неверных репозиториев ISPManager.
Вопрос:
  • Как исправить ошибки и где искать недостающий пакет?
Гугление:
  • Ничего существенного не даёт
  • Вопрос задан
  • 126 просмотров
Пригласить эксперта
Ответы на вопрос 1
@slavabars
Веб программист
Ну у вас проблема с доступам к репозиторию, а не к пакету.
Попробуйте в resolv.conf изменить nameserver на 8.8.8.8 (на время установки модуля).
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы